Subject: Re: Request for merging "core-packages-team" branch

From: [email-masked]
Date: Thu, 5 Jun 2025 16:14:17 +0200 (CEST)

Hello Andreas,

Jun 5, 2025, 09:49 by [email-masked]:

> Am Mon, Jun 02, 2025 at 06:35:06PM +0200 schrieb Rutherther:
>
>> Andreas Enge <[email-masked]> writes:
>> > I wonder if one "solution" would be to remove motif and its dependent
>> > packages?
>> I suppose. Is it fine to not follow the deprecation policy though? I am
>> really expecting just putting gcc-11 to native-inputs will fix it.
>>
>
> Okay, fine as well. If not, as this branch is concerned, I am getting
> desperate, and think that any approach to getting it merged would be
> good :)
>
> Concerning clisp, there is a fix for some test problem on master.
>
> I have rebased again on master, dropped the bash replacement and added the
> CPPFLAG to the bash package itself, and pushed.
>

It seems like the merge conflict I caused for hurd has been resolved incorrectly: hurd still has the "hurd-64bit.patch" that I removed when updating hurd for core-packages-team.

> It would be good to get this merged, the branch sends out strong
> core-updates vibes - we made the merge request almost five months ago!
> This is quite incompatible with our goal of making a release once per
> year, or maybe even twice.
> Also qt-team is waiting for the switch to gcc@14.
>
> Are the remaining problems critical, or something that could be fixed
> later on master?
>
having every gcc that is not gcc-14 broken seems bad.

Here is where where the packages I reported come from:
clisp is blocking linux-libre
dtc and openbios are blocking grub
nvi is in %base-packages-interactive
python-pyelftools is blocking genimage
fakeroot is needed for system-disk-image

You cannot currently run guix system image gnu/system/examples/bare-bones.tmpl from core packages team.

> QA feels a bit slow right now, so I was about to suggest watching CI
> instead, but this gives me 504 errors...
>
> Andreas
>
Yelninei